Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2025::/16
First address
2025::
Last address
2025:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2025:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.2.0.2.ip6.arpa
Split into smaller subnets/28

2025::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12025::/282025:f:ffff:ffff:ffff:ffff:ffff:ffff
22025:10::/282025:1f:ffff:ffff:ffff:ffff:ffff:ffff
32025:20::/282025:2f:ffff:ffff:ffff:ffff:ffff:ffff
42025:30::/282025:3f:ffff:ffff:ffff:ffff:ffff:ffff
52025:40::/282025:4f:ffff:ffff:ffff:ffff:ffff:ffff
62025:50::/282025:5f:ffff:ffff:ffff:ffff:ffff:ffff
72025:60::/282025:6f:ffff:ffff:ffff:ffff:ffff:ffff
82025:70::/282025:7f:ffff:ffff:ffff:ffff:ffff:ffff
92025:80::/282025:8f:ffff:ffff:ffff:ffff:ffff:ffff
102025:90::/282025:9f:ffff:ffff:ffff:ffff:ffff:ffff
112025:a0::/282025:af:ffff:ffff:ffff:ffff:ffff:ffff
122025:b0::/282025:bf:ffff:ffff:ffff:ffff:ffff:ffff
132025:c0::/282025:cf:ffff:ffff:ffff:ffff:ffff:ffff
142025:d0::/282025:df:ffff:ffff:ffff:ffff:ffff:ffff
152025:e0::/282025:ef:ffff:ffff:ffff:ffff:ffff:ffff
162025:f0::/282025:ff:ffff:ffff:ffff:ffff:ffff:ffff
172025:100::/282025:10f:ffff:ffff:ffff:ffff:ffff:ffff
182025:110::/282025:11f:ffff:ffff:ffff:ffff:ffff:ffff
192025:120::/282025:12f:ffff:ffff:ffff:ffff:ffff:ffff
202025:130::/282025:13f:ffff:ffff:ffff:ffff:ffff:ffff
212025:140::/282025:14f:ffff:ffff:ffff:ffff:ffff:ffff
222025:150::/282025:15f:ffff:ffff:ffff:ffff:ffff:ffff
232025:160::/282025:16f:ffff:ffff:ffff:ffff:ffff:ffff
242025:170::/282025:17f:ffff:ffff:ffff:ffff:ffff:ffff
252025:180::/282025:18f:ffff:ffff:ffff:ffff:ffff:ffff
262025:190::/282025:19f:ffff:ffff:ffff:ffff:ffff:ffff
272025:1a0::/282025:1af:ffff:ffff:ffff:ffff:ffff:ffff
282025:1b0::/282025:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292025:1c0::/282025:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302025:1d0::/282025:1df:ffff:ffff:ffff:ffff:ffff:ffff
312025:1e0::/282025:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322025:1f0::/282025:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332025:200::/282025:20f:ffff:ffff:ffff:ffff:ffff:ffff
342025:210::/282025:21f:ffff:ffff:ffff:ffff:ffff:ffff
352025:220::/282025:22f:ffff:ffff:ffff:ffff:ffff:ffff
362025:230::/282025:23f:ffff:ffff:ffff:ffff:ffff:ffff
372025:240::/282025:24f:ffff:ffff:ffff:ffff:ffff:ffff
382025:250::/282025:25f:ffff:ffff:ffff:ffff:ffff:ffff
392025:260::/282025:26f:ffff:ffff:ffff:ffff:ffff:ffff
402025:270::/282025:27f:ffff:ffff:ffff:ffff:ffff:ffff
412025:280::/282025:28f:ffff:ffff:ffff:ffff:ffff:ffff
422025:290::/282025:29f:ffff:ffff:ffff:ffff:ffff:ffff
432025:2a0::/282025:2af:ffff:ffff:ffff:ffff:ffff:ffff
442025:2b0::/282025:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452025:2c0::/282025:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462025:2d0::/282025:2df:ffff:ffff:ffff:ffff:ffff:ffff
472025:2e0::/282025:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482025:2f0::/282025:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492025:300::/282025:30f:ffff:ffff:ffff:ffff:ffff:ffff
502025:310::/282025:31f:ffff:ffff:ffff:ffff:ffff:ffff
512025:320::/282025:32f:ffff:ffff:ffff:ffff:ffff:ffff
522025:330::/282025:33f:ffff:ffff:ffff:ffff:ffff:ffff
532025:340::/282025:34f:ffff:ffff:ffff:ffff:ffff:ffff
542025:350::/282025:35f:ffff:ffff:ffff:ffff:ffff:ffff
552025:360::/282025:36f:ffff:ffff:ffff:ffff:ffff:ffff
562025:370::/282025:37f:ffff:ffff:ffff:ffff:ffff:ffff
572025:380::/282025:38f:ffff:ffff:ffff:ffff:ffff:ffff
582025:390::/282025:39f:ffff:ffff:ffff:ffff:ffff:ffff
592025:3a0::/282025:3af:ffff:ffff:ffff:ffff:ffff:ffff
602025:3b0::/282025:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612025:3c0::/282025:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622025:3d0::/282025:3df:ffff:ffff:ffff:ffff:ffff:ffff
632025:3e0::/282025:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642025:3f0::/282025:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652025:400::/282025:40f:ffff:ffff:ffff:ffff:ffff:ffff
662025:410::/282025:41f:ffff:ffff:ffff:ffff:ffff:ffff
672025:420::/282025:42f:ffff:ffff:ffff:ffff:ffff:ffff
682025:430::/282025:43f:ffff:ffff:ffff:ffff:ffff:ffff
692025:440::/282025:44f:ffff:ffff:ffff:ffff:ffff:ffff
702025:450::/282025:45f:ffff:ffff:ffff:ffff:ffff:ffff
712025:460::/282025:46f:ffff:ffff:ffff:ffff:ffff:ffff
722025:470::/282025:47f:ffff:ffff:ffff:ffff:ffff:ffff
732025:480::/282025:48f:ffff:ffff:ffff:ffff:ffff:ffff
742025:490::/282025:49f:ffff:ffff:ffff:ffff:ffff:ffff
752025:4a0::/282025:4af:ffff:ffff:ffff:ffff:ffff:ffff
762025:4b0::/282025:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772025:4c0::/282025:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782025:4d0::/282025:4df:ffff:ffff:ffff:ffff:ffff:ffff
792025:4e0::/282025:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802025:4f0::/282025:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812025:500::/282025:50f:ffff:ffff:ffff:ffff:ffff:ffff
822025:510::/282025:51f:ffff:ffff:ffff:ffff:ffff:ffff
832025:520::/282025:52f:ffff:ffff:ffff:ffff:ffff:ffff
842025:530::/282025:53f:ffff:ffff:ffff:ffff:ffff:ffff
852025:540::/282025:54f:ffff:ffff:ffff:ffff:ffff:ffff
862025:550::/282025:55f:ffff:ffff:ffff:ffff:ffff:ffff
872025:560::/282025:56f:ffff:ffff:ffff:ffff:ffff:ffff
882025:570::/282025:57f:ffff:ffff:ffff:ffff:ffff:ffff
892025:580::/282025:58f:ffff:ffff:ffff:ffff:ffff:ffff
902025:590::/282025:59f:ffff:ffff:ffff:ffff:ffff:ffff
912025:5a0::/282025:5af:ffff:ffff:ffff:ffff:ffff:ffff
922025:5b0::/282025:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932025:5c0::/282025:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942025:5d0::/282025:5df:ffff:ffff:ffff:ffff:ffff:ffff
952025:5e0::/282025:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962025:5f0::/282025:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972025:600::/282025:60f:ffff:ffff:ffff:ffff:ffff:ffff
982025:610::/282025:61f:ffff:ffff:ffff:ffff:ffff:ffff
992025:620::/282025:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002025:630::/282025:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012025:640::/282025:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022025:650::/282025:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032025:660::/282025:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042025:670::/282025:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052025:680::/282025:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062025:690::/282025:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072025:6a0::/282025:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082025:6b0::/282025:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092025:6c0::/282025:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102025:6d0::/282025:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112025:6e0::/282025:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122025:6f0::/282025:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132025:700::/282025:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142025:710::/282025:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152025:720::/282025:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162025:730::/282025:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172025:740::/282025:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182025:750::/282025:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192025:760::/282025:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202025:770::/282025:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212025:780::/282025:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222025:790::/282025:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232025:7a0::/282025:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242025:7b0::/282025:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252025:7c0::/282025:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262025:7d0::/282025:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272025:7e0::/282025:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282025:7f0::/282025:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292025:800::/282025:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302025:810::/282025:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312025:820::/282025:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322025:830::/282025:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332025:840::/282025:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342025:850::/282025:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352025:860::/282025:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362025:870::/282025:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372025:880::/282025:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382025:890::/282025:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392025:8a0::/282025:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402025:8b0::/282025:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412025:8c0::/282025:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422025:8d0::/282025:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432025:8e0::/282025:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442025:8f0::/282025:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452025:900::/282025:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462025:910::/282025:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472025:920::/282025:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482025:930::/282025:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492025:940::/282025:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502025:950::/282025:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512025:960::/282025:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522025:970::/282025:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532025:980::/282025:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542025:990::/282025:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552025:9a0::/282025:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562025:9b0::/282025:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572025:9c0::/282025:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582025:9d0::/282025:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592025:9e0::/282025:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602025:9f0::/282025:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612025:a00::/282025:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622025:a10::/282025:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632025:a20::/282025:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642025:a30::/282025:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652025:a40::/282025:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662025:a50::/282025:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672025:a60::/282025:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682025:a70::/282025:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692025:a80::/282025:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702025:a90::/282025:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712025:aa0::/282025:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722025:ab0::/282025:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732025:ac0::/282025:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742025:ad0::/282025:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752025:ae0::/282025:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762025:af0::/282025:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772025:b00::/282025:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782025:b10::/282025:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792025:b20::/282025:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802025:b30::/282025:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812025:b40::/282025:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822025:b50::/282025:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832025:b60::/282025:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842025:b70::/282025:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852025:b80::/282025:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862025:b90::/282025:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872025:ba0::/282025:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882025:bb0::/282025:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892025:bc0::/282025:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902025:bd0::/282025:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912025:be0::/282025:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922025:bf0::/282025:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932025:c00::/282025:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942025:c10::/282025:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952025:c20::/282025:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962025:c30::/282025:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972025:c40::/282025:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982025:c50::/282025:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992025:c60::/282025:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002025:c70::/282025:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012025:c80::/282025:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022025:c90::/282025:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032025:ca0::/282025:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042025:cb0::/282025:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052025:cc0::/282025:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062025:cd0::/282025:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072025:ce0::/282025:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082025:cf0::/282025:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092025:d00::/282025:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102025:d10::/282025:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112025:d20::/282025:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122025:d30::/282025:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132025:d40::/282025:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142025:d50::/282025:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152025:d60::/282025:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162025:d70::/282025:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172025:d80::/282025:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182025:d90::/282025:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192025:da0::/282025:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202025:db0::/282025:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212025:dc0::/282025:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222025:dd0::/282025:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232025:de0::/282025:def:ffff:ffff:ffff:ffff:ffff:ffff
2242025:df0::/282025:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252025:e00::/282025:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262025:e10::/282025:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272025:e20::/282025:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282025:e30::/282025:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292025:e40::/282025:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302025:e50::/282025:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312025:e60::/282025:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322025:e70::/282025:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332025:e80::/282025:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342025:e90::/282025:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352025:ea0::/282025:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362025:eb0::/282025:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372025:ec0::/282025:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382025:ed0::/282025:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392025:ee0::/282025:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402025:ef0::/282025:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412025:f00::/282025:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422025:f10::/282025:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432025:f20::/282025:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442025:f30::/282025:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452025:f40::/282025:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462025:f50::/282025:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472025:f60::/282025:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482025:f70::/282025:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492025:f80::/282025:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502025:f90::/282025:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512025:fa0::/282025:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522025:fb0::/282025:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532025:fc0::/282025:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542025:fd0::/282025:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552025:fe0::/282025:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562025:ff0::/282025:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses